API Test Keys
Fetch Document Content
GET/v1/documents/:id/contentClick to copy
Use this endpoint to download an earlier uploaded document. The response is the raw file content (binary) with the original Content-Type header (for example, image/jpeg for an uploaded image), not a JSON object.
Is this page helpful?
Path Parameters
id *
stringThe unique identifier of the document.
Errors
The API <key/secret> provided is invalid.
Error Status: 400
The API credentials passed in the API call differ from the ones generated on the Dashboard.
- Different keys for test mode and live modes.
- Expired API key.
Solution
_id is not a valid id.
Error Status: 400
- The id is not 14 characters long.
- The id is not alphanumeric.
Solution
Invalid file id provided or merchant is unauthorized to access the fileId(s) provided.
Error Status: 400
The id does not exist, or it belongs to a different merchant. The API returns the same error for both cases for security reasons (so callers cannot enumerate other merchants' document ids).
Solution
Fetch Document Content
GET/v1/documents/:id/contentClick to copy
Use this endpoint to download an earlier uploaded document. The response is the raw file content (binary) with the original Content-Type header (for example, image/jpeg for an uploaded image), not a JSON object.
Is this page helpful?
Path Parameters
id *
stringThe unique identifier of the document.
Errors
The API <key/secret> provided is invalid.
Error Status: 400
The API credentials passed in the API call differ from the ones generated on the Dashboard.
- Different keys for test mode and live modes.
- Expired API key.
Solution
_id is not a valid id.
Error Status: 400
- The id is not 14 characters long.
- The id is not alphanumeric.
Solution
Invalid file id provided or merchant is unauthorized to access the fileId(s) provided.
Error Status: 400
The id does not exist, or it belongs to a different merchant. The API returns the same error for both cases for security reasons (so callers cannot enumerate other merchants' document ids).
Solution